Subject: Re: [bitcoin-dev] List of proposals for hard fork/soft fork

From: ZmnSCPxj <[email-masked]>
Date: Mon, 15 Apr 2019 02:59:44 +0000

Good morning LORD YOUR EXCELLENCY,

May it please you to be informed the below are likely to be included in some kind of upcoming softfork for SegWit v1:

1.  Schnorr signatures.
2.  MuSig.
3.  Taproot.
4.  `SIGHASH_NOINPUT`.
5.  Signature aggregation.  May it please you to be informed, that "Schnorr" enables signature aggregation, but is not signature aggregation itself.
6.  MAST.

The above may or may not be an exhaustive list, your excellency.

Of these, I believe only `SIGHASH_NOINPUT` has a BIP, may it please your excellency to learn that it is BIP 118.
However, I am sorry to inform your excellency, as I understand the `SIGHASH_NOINPUT` that will eventually reach Bitcoin Core will not match the current version of BIP118.
To improve on the possibility of incorrect use of `SIGHASH_NOINPUT`, it is proposed that every input that is signed with a `SIGHASH_NOINPUT` signature additionally require a signature without `SIGHASH_NOINPUT`.
For other details, I am sorry to inform your excellency, I have no reliable knowledge.

Regards,
ZmnSCPxj

Sent with ProtonMail Secure Email.

‐‐‐‐‐‐‐ Original Message ‐‐‐‐‐‐‐
On Sunday, April 14, 2019 10:44 PM, LORD HIS EXCELLENCY JAMES HRMH via bitcoin-dev <[email-masked]> wrote:

> Is anybody keeping a list of the solid proposals > BIP's to be included in any actual future consensus-driven fork? Perhaps pre-consensus voting of what to include in the fork packages?
>
> Surely not every or each proposal ever scouted is on for consideration.
>
> This may actually help to build momentum for useful and valuable implementations that may otherwise languish.
>
> Regards,
> LORD HIS EXCELLENCY JAMES HRMH